www.cendio.com

Bug 4466

Summary: Solitary application publishing: avoid double title bars
Product: ThinLinc Reporter: Peter Åstrand <astrand@cendio.se>
Component: OtherAssignee: Peter Åstrand <astrand@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 Keywords: hean01_tester
Version: 3.4.0   
Target Milestone: 4.1.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on: 3983    
Bug Blocks: 38    

Description From cendio 2012-11-08 10:18:56
See bug 38, bug 4465 and Issue 13649. We could improve the application
publishing experience by avoiding double title bars. Instead, Matchbox could
propagate the application title to the client side by setting the "vncconfig"
parameter "desktop".
------- Comment #1 From cendio 2013-01-15 16:17:10 -------
Implemented in r26395 and r26397. Suggested test cases: Verify the client
title:

Firefox with multiple tabs, windows, popup windows. www.popuptest.com is good. 
Test the open and preferences dialog. 

Libreoffice 

Adobe Reader

tlclient, Options -> Security -> Smart Card Details -> Add filter

Time reporting on bug 4465.
------- Comment #2 From cendio 2013-05-30 09:50:21 -------
Works as expected, titlbar is also update on the fly, for example using firefox
and switching between tabs the title bar shows the corresponding
information/title about the page loaded in the selected tab. Also verified
using gedit which puts a * infront of document title if buffer is modified.